document.addEventListener("DOMContentLoaded", function() {
    // Footer HTML code
    var footerHtml = `
    <style>
        .footer {
            width: 100%;
            padding: 20px 0;
            background-color: rgba(223, 223, 223, 0.8); /* Semi-transparent background color */
            text-align: center;
            position: fixed;
            bottom: 0;
            left: 0;
        }

        .footer .socmed-icons {
            display: flex;
            justify-content: center;
            align-items: center;
        }

        .footer .socmed-icons a {
            margin: 0 10px;
            font-size: 24px; /* Adjust size as needed */
            color: #1D5148; /* Text color */
        }

        .footer .socmed-icons a img {
            width: 40px; /* Increase the size of icons */
            height: auto;
        }

        .footer .socmed-icons a:hover {
            color: #fca203; /* Hover color */
        }
    </style>
    <div class="footer">
        <div class="socmed-icons">
            <a href="https://web.facebook.com/Superwomenstory" target="_blank"><img src="Icons & Logos/facebook_icon.png" alt="Facebook"></a>
            <a href="https://twitter.com/Superwomenstory" target="_blank"><img src="Icons & Logos/twitter.png" alt="Twitter"></a>
            <a href="https://mail.google.com/mail/u/0/?fs=1&tf=cm&source=mailto&to=superwomencontact3@gmail.com" target="_blank"><img src="Icons & Logos/gmail.png" alt="Gmail"></a>
            <a href="https://www.linkedin.com/company/superwomenorganization/" target="_blank"><img src="Icons & Logos/linkedin.png" alt="LinkedIn"></a>
            <a href="https://www.tiktok.com/@superwomenofficial0" target="_blank"><img src="Icons & Logos/tiktok.png" alt="TikTok"></a>
            <a href="https://www.instagram.com/superwomen.official/" target="_blank"><img src="Icons & Logos/instagram.png" alt="Instagram"></a>
            <a href="https://www.youtube.com/@superwomen8275" target="_blank"><img src="Icons & Logos/Youtube.png" alt="YouTube"></a>
        </div>
    </div>
    `;

    // Get the placeholder element
    var footerPlaceholder = document.createElement("div");
    footerPlaceholder.innerHTML = footerHtml;

    // Inject the footer HTML into the body
    document.body.appendChild(footerPlaceholder);
});

